Bug 173133 - [suspend/resume] moused(8) sometimes fails to reinitialise after suspend
[suspend/resume] moused(8) sometimes fails to reinitialise after suspend
Status: In Progress
Product: Base System
Classification: Unclassified
Component: bin
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD bugs mailing list
Depends on:
  Show dependency treegraph
Reported: 2012-10-26 20:10 UTC by Garrett Cooper,425-314-3911
Modified: 2014-04-22 06:31 UTC (History)
0 users

See Also:

file.diff (463 bytes, patch)
2012-10-26 20:10 UTC, Garrett Cooper,425-314-3911
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Garrett Cooper,425-314-3911 freebsd_committer 2012-10-26 20:10:00 UTC
Whenever I suspend and resume my netbook, moused freaks out when I try to use the touchpad and the pointer jumps all over the screen in X11 -- probably because the file descriptors aren't closed and reopened in moused properly.

The attached patch mitigates my issues, but probably isn't the correct resolution to the problem.

More details:

atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: model IntelliMouse, device ID 3

Fix: Patch attached with submission follows:
How-To-Repeat: 1. Install CURRENT on netbook.
2. Start X11 (I use fluxbox).
3. Suspend netbook.
4. Resume netbook.
5. Try to use the mouse.
Comment 1 Mark Linimon freebsd_committer 2012-10-27 03:28:53 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-rc

Over to maintainer(s).
Comment 2 Chris Rees freebsd_committer 2012-11-02 12:01:32 UTC
Responsible Changed
From-To: freebsd-rc->glebius

Subversion blames you, what do you think?
Comment 3 Chris Rees freebsd_committer 2012-11-02 12:50:56 UTC
Responsible Changed
From-To: glebius->freebsd-rc

The current code worked for glebius because moused didn't break on his 

rc will deal with it.
Comment 4 Chris Rees freebsd_committer 2012-11-04 12:08:19 UTC
Responsible Changed
From-To: freebsd-rc->freebsd-bugs

Remove [patch] tag from Synopsis and reassign, this is a bug with moused. 

Reading the man page, it should exhibit the correct behaviour when sent 
Comment 5 Chris Rees freebsd_committer 2012-11-07 18:19:19 UTC
Last bit here--  you haven't got AllowEmptyInput in your xorg.conf have you?